# Detect the distribution in use
%global __despace /usr/bin/head -n 1 | /usr/bin/tr -d '[:space:]' | %{__sed} -e 's/[(].*[)]//g'
%global __lower4 /usr/bin/cut -c 1-4 | /usr/bin/tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(%{__sed} -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(%{__sed} -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS & White Box as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "wbel"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

%{!?perl_vendorlib: %global perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)}
%{!?__id_u: %global __id_u %([ -x /bin/id ]&&echo /bin/id||([ -x /usr/bin/id ]&&echo /usr/bin/id||echo /bin/true)) -u}

Summary:	A fast and simple mbox folder reader
Name:		perl-Mail-Mbox-MessageParser
Version:	1.5002
Release:	5.%{__distinit}%{__distvers}
License:	GPL+
Group:		Development/Libraries
Url:		http://search.cpan.org/dist/Mail-Mbox-MessageParser/
Source0:	http://search.cpan.org/CPAN/authors/id/D/DC/DCOPPIT/Mail-Mbox-MessageParser-%{version}.tar.gz
Source1:	perl-module-version-filter
Patch0:		Mail-Mbox-MessageParser-1.5002-warning.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
Requires:	grep, gzip, bzip2, /usr/bin/diff
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildRequires:	grep, gzip, bzip2, /usr/bin/diff
BuildRequires:	perl(ExtUtils::MakeMaker), perl(FileHandle::Unget)
BuildRequires:	perl(Test::More), perl(Text::Diff)

%description
Mail::Mbox::MessageParser is a feature-poor but very fast mbox parser. It uses
the best of three strategies for parsing a mailbox: either using cached folder
information, GNU grep, or highly optimized Perl.

%prep
%setup -q -n Mail-Mbox-MessageParser-%{version}

# Fix used-only-once warning that breaks grepmail with perl 5.12.0
%patch0 -p1

# Auto provides aren't clever enough for what Mail::Mbox::MessageParser does
%global provfilt /bin/sh -c "%{__perl_provides} | %{__perl} -n -s %{SOURCE1} -lib=%{_builddir}/%{buildsubdir}/lib"
%define __perl_provides %{provfilt}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor \
	DIFF=/usr/bin/diff \
	BZIP=%{__bzip2} \
	BZIP2=%{__bzip2} \
	GREP=%{__grep} \
	GZIP=%{__gzip} \
	--default
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install PERL_INSTALL_ROOT=%{buildroot}
/usr/bin/find %{buildroot} -type f -name .packlist -exec %{__rm} -f {} ';'
/usr/bin/find %{buildroot} -depth -type d -exec /bin/rmdir {} ';' 2>/dev/null
%{_fixperms} %{buildroot}

%check
%{__make} test

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README CHANGES anonymize_mailbox LICENSE
%{perl_vendorlib}/Mail/
%{_mandir}/man3/Mail::Mbox::MessageParser.3pm*
%{_mandir}/man3/Mail::Mbox::MessageParser::Cache.3pm*
%{_mandir}/man3/Mail::Mbox::MessageParser::Grep.3pm*
%{_mandir}/man3/Mail::Mbox::MessageParser::MetaInfo.3pm*
%{_mandir}/man3/Mail::Mbox::MessageParser::Perl.3pm*

%changelog
* Thu Jun 24 2010 Paul Howarth <paul@city-fan.org> 1.5002-5
- Rebuild for perl 5.12.1 in Rawhide

* Tue Jun  1 2010 Paul Howarth <paul@city-fan.org> 1.5002-4
- Fix used-only-once warning that breaks grepmail with perl 5.12.0

* Thu May 27 2010 Paul Howarth <paul@city-fan.org> 1.5002-3
- Fix dist tag for RHEL-6 Beta

* Thu Feb 18 2010 Paul Howarth <paul@city-fan.org> 1.5002-2
- Fix versioned provides for perl modules
- Dist tag for Rawhide no longer needs special-casing
- Use %%{_fixperms} macro instead of our own %%{__chmod} incantation

* Tue Sep  1 2009 Paul Howarth <paul@city-fan.org> 1.5002-1
- Update to 1.5002
  - perl 5.10 patch upstreamed
  - disable the grep interface, known to be buggy
  - fix infinite loop in emails of less than 200 characters (CPAN RT#33493)
  - update Makefile.PL for versions of Module::Install > 0.88
  - instead of returning an error for an empty mailbox, a valid mailbox is
    returned that immediately fails the end_of_mailbox check (CPAN RT#43665)
  - fix missing "m" modifier issue exposed by Perl 5.10 (CPAN RT#33004)
  - added some debugging information for the "cache data not validated" error
  - fix an off-by-one error that could cause warnings about undefined values
- Upstream source back on search.cpan.org
- BuildRequire perl(Test::More) and perl(Text::Diff)
- Define RPM macros in global scope

* Tue Nov  4 2008 Paul Howarth <paul@city-fan.org> 1.5000-2
- Tweak dist tag macros to work on current Rawhide with three-part releasenum
- Clarify license as GPL (unspecified version)
- Fix for perl 5.10 (Andreas Koenig)

* Fri Jan 12 2007 Paul Howarth <paul@city-fan.org> 1.5000-1
- Update to 1.5000
- Fix dist tag for development builds
- Fix argument order for find with -depth
- Permission fixes no longer needed in %%prep

* Fri Aug 25 2006 Paul Howarth <paul@city-fan.org> 1.4005-1
- Update to 1.4005

* Wed Jul 12 2006 Paul Howarth <paul@city-fan.org> 1.4004-1
- Update to 1.4004

* Mon May 22 2006 Paul Howarth <paul@city-fan.org> 1.4003-1
- Update to 1.4003
- Define %%{__id_u} in a more portable way

* Fri Feb 10 2006 Paul Howarth <paul@city-fan.org> 1.4002-1
- Update to 1.4002
- Remove tzip support altogether (dropped upstream)
- Simplify distribution-detection code
- Remove __perl_package macro, used only twise
- Remove __perl_version macro, used only once
- Remove buildroot unconditionally in %%clean and %%install
- Don't use macros in build-time command paths, hardcode them instead
- Add dependency on /usr/bin/diff
- Use --default option when running Makefile.PL to avoid having to edit out
  Benchmark::Timer reference
- Use better %%summary

* Wed Aug 10 2005 Paul Howarth <paul@city-fan.org> 1.4001-2
- Disable tzip support by default; tzip support will be disappearing upstream
  soon anyway

* Thu Aug  4 2005 Paul Howarth <paul@city-fan.org> 1.4001-1
- Update to 1.4001

* Wed Jul 13 2005 Paul Howarth <paul@city-fan.org> 1.4000-1
- Update to 1.4000
- Remove optimization settings from %%build, not needed for noarch package
- Fix directory ownership issues
- Fix module permission issues
- Include anonymize_mailbox script as %%doc

* Fri Jun 24 2005 Paul Howarth <paul@city-fan.org> 1.3001-1
- Update to 1.3001
- Don't set LANG for testing; problem probably fixed upstream now

* Wed May 18 2005 Paul Howarth <paul@city-fan.org> 1.3000-2
- Rewrite spec file in (mainly) Fedora Extras style
- Include full URL for source
- Use MODULE_COMPAT dependency style and remove explicit perl dependency
- Remove MANIFEST from %%doc

* Fri Apr  1 2005 Paul Howarth <paul@city-fan.org> 1.3000-1
- Update to 1.3000
- Default to --with tzip instead of --without tzip
- Run tests in "C" locale to avoid breakage

* Wed Dec 22 2004 Paul Howarth <paul@city-fan.org> 1.2130-1
- Update to 1.2130

* Fri Sep 17 2004 Paul Howarth <paul@city-fan.org> 1.21-1
- Update to 1.21.1
- Hack Makefile.PL to prevent prompting to install Benchmark::Timer module
  if it's not present.

* Sat Jul 31 2004 Paul Howarth <paul@city-fan.org> 1.20-1
- Update to 1.20
- Moved `make test' into %%check section
- General tidy up of spec file

* Thu Apr 15 2004 Paul Howarth <paul@city-fan.org> 1.14-3
- Added explicit perl dependency to ensure that an RPM built on a
  system with an updated version of perl (and hence having files
  installed in a place that a non-updated system won't find them)
  will not install on the non-updated system. In such cases, just
  rebuild from the source RPM.
- Changed distribution-identifying macros for greater portability.

* Mon Feb 16 2004 Paul Howarth <paul@city-fan.org> 1.14-2
- Unified spec file for Red Hat and Fedora Core

* Tue Feb 10 2004 Paul Howarth <paul@city-fan.org> 1.14-1.fc1
- Update to 1.14
- Added optional tzip support (with "--with tzip" option to rpmbuild)

* Fri Dec 12 2003 Paul Howarth <paul@city-fan.org> 1.12-1.fc1
- More macros
- Added Fedora Core version to RPM release ID

* Tue Nov 25 2003 Paul Howarth <paul@city-fan.org> 1.12-1
- Update to 1.12

* Mon Nov 24 2003 Paul Howarth <paul@city-fan.org> 1.10-1
- Initial RPM build
